> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--organization/mutations/create-invitation.md).

# createInvitation

Will create a new invitation to the current Organization. Fails with 400 ROLE\_NOT\_IN\_ORG if a requested role id is empty or does not belong to the organization.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
mutation CreateInvitation($invitationInfo: InvitationInput!) {
  createInvitation(invitationInfo: $invitationInfo) {
    id
    inviteeEmail
    invitation_url
    created_at
    expires_at
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "invitationInfo": {
    "inviteeEmail": "user@example.com",
    "inviteeRoles": ["example"],
    "scopes": "example",
    "invitationTTLSec": 42
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "mutation CreateInvitation($invitationInfo: InvitationInput!) { createInvitation(invitationInfo: $invitationInfo) { id inviteeEmail invitation_url created_at expires_at } }",
 "variables": {
    "invitationInfo": {
      "inviteeEmail": "user@example.com",
      "inviteeRoles": ["example"],
      "scopes": "example",
      "invitationTTLSec": 42
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'mutation CreateInvitation($invitationInfo: InvitationInput!) { createInvitation(invitationInfo: $invitationInfo) { id inviteeEmail invitation_url created_at expires_at } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      invitationInfo: {
        inviteeEmail: "user@example.com",
        inviteeRoles: ["example"],
        scopes: "example",
        invitationTTLSec: 42
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'mutation CreateInvitation($invitationInfo: InvitationInput!) { createInvitation(invitationInfo: $invitationInfo) { id inviteeEmail invitation_url created_at expires_at } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "invitationInfo": {
        "inviteeEmail": "user@example.com",
        "inviteeRoles": ["example"],
        "scopes": "example",
        "invitationTTLSec": 42
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `createInvitation` mutation.

| Argument                                                                                                                                                                               | Description                                                                      | Supported fields                                                                                                                                    |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| invitationInfo [`InvitationInput!`](/api-documentation/api-reference/api--organization/types/inputs/invitation-input.md) <mark style="color:red;background-color:red;">required</mark> | Information required to create the invitation, including invitee email and roles | <p>inviteeEmail <code>String!</code><br>inviteeRoles <code>\[String]!</code><br>scopes <code>String</code><br>invitationTTLSec <code>Int</code></p> |

### Fields

Return type: [`Invitation`](/api-documentation/api-reference/api--organization/types/objects/invitation.md)

You can use the following field(s) to specify what information your `createInvitation` mutation will return. Please note that some fields may have their own subfields.

| Field                    | Description                                                    | Supported fields |
| ------------------------ | -------------------------------------------------------------- | ---------------- |
| id `String`              | Unique identifier for the invitation                           |                  |
| inviteeEmail `String`    | Email address of the person receiving the invitation           |                  |
| invitation\_url `String` | Complete URL that the invitee can use to accept the invitation |                  |
| created\_at `String`     | Timestamp when this invitation was created, in ISO 8601 format |                  |
| expires\_at `String`     | Timestamp when this invitation will expire, in ISO 8601 format |                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--organization/mutations/create-invitation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
